ru.bitel.bgbilling.kernel.contract.api.server.bean

## Class ContractLimitManager

- java.lang.Object
- - ru.bitel.bgbilling.kernel.contract.api.server.bean.ContractLimitManager

-     public class ContractLimitManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `VPAY_EXPIRED`
    `static int` | `VPAY_NOT_PAYOFFED`
    `static int` | `VPAY_PARTIAL_PAYOFFED`
    `static int` | `VPAY_PAYOFFED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractLimitManager(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContractLimitParameters` | `getContractLimitParameters(Setup setup, Contract contract)`
    `void` | `setLimitManageMode(int userId, int contractId, int mode)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VPAY_NOT_PAYOFFED

          public static final int VPAY_NOT_PAYOFFED

      See Also:
        Constant Field Values

    - #### VPAY_PARTIAL_PAYOFFED

          public static final int VPAY_PARTIAL_PAYOFFED

      See Also:
        Constant Field Values

    - #### VPAY_PAYOFFED

          public static final int VPAY_PAYOFFED

      See Also:
        Constant Field Values

    - #### VPAY_EXPIRED

          public static final int VPAY_EXPIRED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ContractLimitManager

          public ContractLimitManager(java.sql.Connection con)

  - ### Method Detail

    - #### getContractLimitParameters

          public ContractLimitParameters getContractLimitParameters(Setup setup,
                                                                    Contract contract)
                                                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### setLimitManageMode

          public void setLimitManageMode(int userId,
                                         int contractId,
                                         int mode)
                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`